[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Upcoming Debian multiarch support (amd64, sparc64, s390x, mips64) [affects sarge slightly]

Stephen Frost <sfrost@snowman.net> writes:

> * Goswin von Brederlow (brederlo@informatik.uni-tuebingen.de) wrote:
> > Stephen Frost <sfrost@snowman.net> writes:
> > > You can still be compatible with i386 and have a /lib32 except in the
> > > broken-binary case.  Personally no one has actually demonstrated such a
> > > case to me yet, but I've heard they exist.
> > 
> > Civ3 checks for /lib/libc6* in the install script to see what version
> > is available. A /lib -> /lib32 link would do. But whats the point
> > then?
> A broken script is honestly rather uninteresting.  The script could be
> fixed by just about anyone who would care to.  What libraries does Civ3
> actually use from the system, and are they hard-coded or not?
> 	Stephen

Don't have it installed here so I can't check but a bunch of stuff.
Some sdl libs iirc. And changing a cdrom you bought isn't that easy. I
remeber the libc because that was broken at one time with Debian so I
had to fix the script.


Reply to: